var test_environment = true;

window.addEventListener('DOMContentLoaded', (event) => {

});

// Test if vital files are present
QUnit.test( "test vital resources presence", function( assert ) {
  
  assert.ok( urlExists('../../index.html'), "index.html" );

  // JavaScript folder
  assert.ok( urlExists('../../js/calculation.js'), "calculation.js" );
  assert.ok( urlExists('../../js/pseudocode.js'), "pseudocode.js" );
  assert.ok( urlExists('../../js/DESIGN_PARAMETERS.js'), "DESIGN_PARAMETERS.js" );
  assert.ok( urlExists('../../js/helper_functions.js'), "helper_functions.js" );
  assert.ok( urlExists('../../js/Chart.bundle.js'), "Chart.bundle.js" );
  assert.ok( urlExists('../../js/jquery-3.3.1.min.js'), "jquery-3.3.1.min.js" );
  assert.ok( urlExists('../../js/bootstrap.min.js'), "bootstrap.min.js" );
  assert.ok( urlExists('../../js/popper.min.js'), "popper.min.js" );
  assert.ok( urlExists('../../js/tippy.min.js'), "tippy.min.js" );
  // assert.ok( urlExists('../../js/qunit-2.9.2.js'), "qunit-2.9.2.js" ); // No need to test the test library itself.

  // CSS folder
  assert.ok( urlExists('../../css/bootstrap.min.css'), "bootstrap.min.css" );
  assert.ok( urlExists('../../css/styles.css'), "styles.css" );
  assert.ok( urlExists('../../css/qunit-2.9.2.css'), "qunit-2.9.2.css" );

  // Images folder
  assert.ok( urlExists('../../images/TLD1114_MOSFET_OUTH_OUTL.svg'), "TLD1114_MOSFET_OUTH_OUTL.svg" );
  assert.ok( urlExists('../../images/TLD1114_no_MOSFET_OUTH_OUTL.svg'), "TLD1114_no_MOSFET_OUTH_OUTL.svg" );
  assert.ok( urlExists('../../images/toolbox-logo.png'), "toolbox-logo.png" );
  assert.ok( urlExists('../../images/designer-logo.png'), "designer-logo.png" );
  assert.ok( urlExists('../../images/QuestionMark.png'), "QuestionMark.png" );
  assert.ok( urlExists('../../images/pseudocode.png'), "pseudocode.png" );

});

// Test if non-vital files are present
QUnit.test( "test non-vital resources presence", function( assert ) {

  assert.notOk( urlExists('../../does_not_exist.html'), "does_not_exist.html (test non existance)" );

  // Parts folder (modals)
  assert.ok( urlExists('../../parts/modal_abouttool.html'), "modal_abouttool.html" );
  assert.ok( urlExists('../../parts/modal_pseudocode.html'), "modal_pseudocode.html" );
  assert.ok( urlExists('../../parts/modal_resistors_recommended.html'), "modal_resistors_recommended.html" );

  // Fonts folder
  assert.ok( urlExists('../../fonts/SourceSansPro/SourceSansPro.css'), "SourceSansPro.css" );
  assert.ok( urlExists('../../fonts/SourceSansPro/6xK3dSBYKcSV-LCoeQqfX1RYOo3qN67lqDY.woff2'), "SourceSansPro 1" );
  assert.ok( urlExists('../../fonts/SourceSansPro/6xK3dSBYKcSV-LCoeQqfX1RYOo3qNa7lqDY.woff2'), "SourceSansPro 2" );
  assert.ok( urlExists('../../fonts/SourceSansPro/6xK3dSBYKcSV-LCoeQqfX1RYOo3qNK7lqDY.woff2'), "SourceSansPro 3" );
  assert.ok( urlExists('../../fonts/SourceSansPro/6xK3dSBYKcSV-LCoeQqfX1RYOo3qNq7lqDY.woff2'), "SourceSansPro 4" );
  assert.ok( urlExists('../../fonts/SourceSansPro/6xK3dSBYKcSV-LCoeQqfX1RYOo3qO67lqDY.woff2'), "SourceSansPro 5" );
  assert.ok( urlExists('../../fonts/SourceSansPro/6xK3dSBYKcSV-LCoeQqfX1RYOo3qOK7l.woff2'), "SourceSansPro 6" );
  assert.ok( urlExists('../../fonts/SourceSansPro/6xK3dSBYKcSV-LCoeQqfX1RYOo3qPK7lqDY.woff2'), "SourceSansPro 7" );

});

function urlExists(url)
{
  var http = new XMLHttpRequest();
  http.open('GET', url, false);
  http.send();
  return http.status != 404;
}